class OpenAIChat {
  int id = 0;
  late String messages; // JSON of ChatMessage
  String modelName = "gpt-3.5-turbo";
  double temperature = 0.1;

  OpenAIChat(this.messages, {String? modelName, double? temperature});

  OpenAIChat.fromJson(Map json) {
    id = json["id"];
    messages = json['messages'];
    modelName = json['modelName'];
    temperature = json['temperature'];
  }

  Map<String, dynamic> toJson() => {
        "id": id,
        "messages": messages,
        "modelName": modelName,
        "temperature": temperature,
      };

  @override
  String toString() => toJson().toString();
}
